package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class EduApp {
    @TableId(type = IdType.AUTO)
    private Long id;

    private Long deptId;

    @ApiModelProperty("应用名称")
    private String name;

    @ApiModelProperty("应用代码")
    private String code;

    @ApiModelProperty("应用logo地址")
    private String logo;

    @ApiModelProperty("应用类型，0-家长，1-教职工")
    private Integer type;

    @ApiModelProperty("企业微信corpid")
    private String wxCorpId;

    @ApiModelProperty("企业微信应用secret")
    private String wxSecret;

    @ApiModelProperty("企业微信应用agentid")
    private String wxAgentId;

    @ApiModelProperty("是否能被配置到app中，0-否，1-是")
    private Integer yidaAppShow;

    @ApiModelProperty("app订阅号id")
    private String appAccountId;

    private transient String schoolName;

    @ApiModelProperty("应用地址")
    private String appSrc;

}
