package com.yida.data.user.dto;

import com.yida.data.common.core.common.BaseDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PageStudentDTO extends BaseDTO {

    @ApiModelProperty("区域id")
    private Long areaId;
    @ApiModelProperty("学校id")
    private Long schoolId;
    @ApiModelProperty("学生类型id")
    private Integer type;
    @ApiModelProperty("校区id")
    private Long campusId;
    @ApiModelProperty("学段id")
    private Long sectionId;
    @ApiModelProperty("年级id")
    private Long gradeId;
    @ApiModelProperty("班级id")
    private Long classId;
    @ApiModelProperty("学号id")
    private String stuNumber;
    @ApiModelProperty("名字")
    private String name;
    @ApiModelProperty("家庭类型 字典值")
    private String familyType;
    @ApiModelProperty("是否采集人脸：0否，1是")
    private String collectType;
}
