package com.yida.data.user.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("教师班级学科关系")
public class TeacherDeptVO {

    @ApiModelProperty("校区id")
    private Long campusId;
    @ApiModelProperty("校区名称")
    private String campusName;

    @ApiModelProperty("学段id")
    private Long sectionId;
    @ApiModelProperty("学段名称")
    private String sectionName;

    @ApiModelProperty("年级id")
    private Long gradeId;
    @ApiModelProperty("年级名称")
    private String gradeName;

    @ApiModelProperty("班级id")
    private Long classId;
    @ApiModelProperty("班级名称")
    private String className;


    @ApiModelProperty("教师类型 1表示校区负责人，2表示年级负责人，3表示班主任，4表示任课老师，5表示学段负责人")
    private Integer type;

    @ApiModelProperty("科目id")
    private Long courseId;
    @ApiModelProperty("科目名称")
    private String courseName;

    @ApiModelProperty("班级列表")
    private List<TeacherClassVO> classList;

}
