package com.yida.data.user.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.user.EduUserDevice;

import com.yida.data.user.fallback.RemoteUserDeviceServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = FebsServerConstant.EDU_USER, contextId = "userDeviceService",
        fallbackFactory = RemoteUserDeviceServiceFallback.class)
public interface RemoteUserDeviceService {

    @PostMapping("/in/userDevice/batchSave")
    ResultBean batchSave(@RequestBody List<EduUserDevice> list);
}
